> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop Session

> Stop a session



## OpenAPI

````yaml /openapi.json post /v1/sessions/stop
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v1/sessions/stop:
    post:
      tags:
        - Sessions
      summary: Stop Session
      description: Stop a session
      operationId: stop_session_v1_sessions_stop_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StopSessionSchema'
              default:
                reason: USER_CLOSED
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    StopSessionSchema:
      properties:
        session_id:
          title: Session Id
          type: string
          format: uuid
        reason:
          $ref: '#/components/schemas/SessionEndReasonEnum'
          default: UNKNOWN
      type: object
      title: StopSessionSchema
    Response:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          title: Data
        message:
          title: Message
          type: string
      type: object
      title: Response
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SessionEndReasonEnum:
      type: string
      enum:
        - UNKNOWN
        - USER_DISCONNECTED
        - SERVER_ERROR
        - IDLE_TIMEOUT
        - NO_CREDITS
        - USER_CLOSED
        - AVATAR_DELETED
        - MAX_DURATION_REACHED
        - ZOMBIE_SESSION_REAP
        - AGENT_HANG_UP
      title: SessionEndReasonEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````